%define name kalcoolus
%define version 0.1.8
%define release %mkrel 3
%define __libtoolize /bin/true
%define __cputoolize /bin/true

Name:      %{name}
Version:   %{version}
Release:   %{release}
Summary:   This is a KDE frontend for GNU bc calculator
License:   GPL
URL:       http://kde-apps.org/content/show.php?content=21521
Group:     Sciences/Mathematics
Source:    %{name}.%{version}.tar.bz2
Source10:  %{name}-16.png
Source11:  %{name}-32.png
Source12:  %{name}-48.png
BuildRoot: %{_tmppath}/%{name}-buildroot
BuildRequires: kdelibs-devel >= 3.2
Requires: bc python

%description
This is a KDE frontend for GNU bc calculator

%prep
rm -rf %buildroot

%setup -n %{name}.%{version}

make -f admin/Makefile.common cvs

%build
# Search for qt/kde libraries in the right directories (avoid patch)
# NOTE: please don't regenerate configure scripts below
perl -pi -e "s@/lib(\"|\b[^/])@/%_lib\1@g if /(kde|qt)_(libdirs|libraries)=/" configure

%configure --disable-rpath --with-xinerama

%make

%install
rm -rf %buildroot
mkdir -p %buildroot{%_menudir,%_miconsdir,%_iconsdir,%_liconsdir}
%{makeinstall_std}

#menus
cp %SOURCE10 %buildroot%_miconsdir/%name.png
cp %SOURCE11 %buildroot%_iconsdir/%name.png
cp %SOURCE12 %buildroot%_liconsdir/%name.png

perl -pi -e "s|Name=kalcoolus|Name=Kalcoolus|" %buildroot/%_datadir/applnk/Utilities/%{name}.desktop
kdedesktop2mdkmenu.pl %name "More Applications/Sciences/Mathematics" %buildroot/%_datadir/applnk/Utilities/%{name}.desktop %buildroot/%_menudir/%name

%find_lang %name

%clean
rm -rf %buildroot

%files 
%defattr(-,root,root)
%attr(0755,root,root) %{_bindir}/%{name}
%{_menudir}/%{name}
%{_datadir}/applnk/Utilities/%{name}.desktop
%{_datadir}/apps/%{name}/%{name}ui.rc
%{_docdir}/HTML/en/%{name}/*
%{_iconsdir}/hicolor/*/apps/%{name}.png
%{_iconsdir}/hicolor/32x32/apps/configure.png
%{_iconsdir}/hicolor/32x32/apps/fonts.png
%{_iconsdir}/hicolor/32x32/apps/kalcoolu.png
%{_iconsdir}/hicolor/32x32/apps/source_bc.png
%{_iconsdir}/hicolor/32x32/apps/source_py.png
%{_iconsdir}/%{name}.png
%{_iconsdir}/*/%{name}.png

%post
%{update_menus}
%if %mdkversion > 200600
%{update_desktop_database}
%update_icon_cache hicolor
%endif

%postun
%{clean_menus}
%if %mdkversion > 200600
%clean_icon_cache hicolor
%endif


%changelog
* Fri Jun 30 2006 Nicolas Lcureuil <neoclust@mandriva.org>
+ 2006-06-30 16:27:14 (38253)
- fix macros

* Fri Jun 30 2006 Nicolas Lcureuil <neoclust@mandriva.org>
+ 2006-06-30 16:11:18 (38248)
- Increase release
- Use macros for icons

* Fri Jun 30 2006 Nicolas Lcureuil <neoclust@mandriva.org>
+ 2006-06-30 16:06:14 (38246)
- import kalcoolus-0.1.8-1mdk

* Mon Aug 08 2005 Nicolas Lcureuil <neoclust@mandriva.org> 0.1.8-1mdk
- 0.1.8

* Tue Jun 07 2005 <plouf@mandriva.org> 0.1.7.0.beta1.1mdk
- First Mandriva Linux release

